GetEvidenceFileUploadUrl - AWS Audit Manager

GetEvidenceFileUploadUrl

Important

AWS Audit Manager will no longer be open to new customers starting April 30, 2026. If you would like to use Audit Manager, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see AWS Audit Manager availability change.

Creates a presigned Amazon S3 URL that can be used to upload a file as manual evidence. For instructions on how to use this operation, see Upload a file from your browser in the AWS Audit Manager User Guide.

The following restrictions apply to this operation:

  • Maximum size of an individual evidence file: 100 MB

  • Number of daily manual evidence uploads per control: 100

  • Supported file formats: See Supported file types for manual evidence in the AWS Audit Manager User Guide

For more information about Audit Manager service restrictions, see Quotas and restrictions for AWS Audit Manager.

Request Syntax

GET /evidenceFileUploadUrl?fileName=fileName HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

fileName

The file that you want to upload. For a list of supported file formats, see Supported file types for manual evidence in the AWS Audit Manager User Guide.

Length Constraints: Minimum length of 1. Maximum length of 300.

Pattern: [^\/]*

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "evidenceFileName": "string", "uploadUrl": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

evidenceFileName

The name of the uploaded manual evidence file that the presigned URL was generated for.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: .*\S.*

uploadUrl

The presigned URL that was generated.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: .*\S.*

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Your account isn't registered with AWS Audit Manager. Check the delegated administrator setup on the Audit Manager settings page, and try again.

HTTP Status Code: 403

InternalServerException

An internal service error occurred during the processing of your request. Try again later.

HTTP Status Code: 500

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request has invalid or missing parameters.

fields

The fields that caused the error, if applicable.

reason

The reason the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: